Skip to main content
GET
Error

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

bulkActionSessionId
string<guid>
required

The unique identifier of the target bulk action session A bulk action session unique identifier

Example:

"00000000-0000-0000-0000-000000000000"

Query Parameters

includeDetails
boolean

The result will contain all the info available about the requested bulk action session.

Response

OK.

The bulk package action session information.

SessionId
string<guid>

The bulk action session unique identifier..

Example:

"00000000-0000-0000-0000-000000000000"

Action
enum<string>

The bulk action type.

Available options:
DeletePackage,
DownloadPackage,
NotifyActors,
RevokePackage,
SkipPackagePhase,
ExtendPackage,
RequestAuditTrails,
DeleteAuditProofs,
PackageStatusUpdate,
SoftDeletePackage
Status
enum<string>

The bulk action status.

Available options:
Pending,
Finishing,
Finished
Total
integer

Total items in the bulk action session.

Succeeded
integer

The number of the succeeded actions.

Failed
integer

The number of the failed actions.

FinishedTime
string<dateTime>

The bulk action session end time.

Details
object

The bulk action session information per package.